function [Ts_relevant_leads, T_relevant_leads_00, lead_names] = create_feature_table()

    lead_nums = [1:12]';
    lead_names = {'I','II','III','aVR','aVL','aVF','V1','V2','V3','V4','V5','V6'}';
    %model_names = {'MB', 'SD', 'ST', 'GN'};
    
    relevant_leads_12_MB = [1;1;1;1;1;1;1;1;1;1;1;1]; MB12 = relevant_leads_12_MB; MB = MB12;
    relevant_leads_12_SD = [1;1;0;0;0;0;1;0;0;0;0;0]; SD12 = relevant_leads_12_SD; SD = SD12;
    relevant_leads_12_ST = [0;1;0;0;1;0;1;0;0;1;0;1]; ST12 = relevant_leads_12_ST; ST = ST12;
    relevant_leads_12_GN = [1;1;0;0;1;0;1;0;0;1;0;1]; GN12 = relevant_leads_12_GN; GN = GN12;
    relevant_leads_12_GV = [1;1;0;0;0;0;0;0;0;0;0;0]; GV12 = relevant_leads_12_GV; GV = GV12;
    
    %T_relevant_leads_12 = table('RowNames', lead_names, 'VariableNames', model_names);
    %T_relevant_leads_12 = table(lead_names);
    T_relevant_leads_12 = table(lead_nums,              ...
                                lead_names,             ...
                                MB,   ...
                                SD,   ...
                                ST,   ...
                                GN,   ...
                                GV    ...
                                );

    relevant_leads_06_MB = [1;1;1;1;1;1;0;0;0;0;0;0]; MB06 = relevant_leads_06_MB; MB = MB06;
    relevant_leads_06_SD = [1;1;0;1;0;0;0;0;0;0;0;0]; SD06 = relevant_leads_06_SD; SD = SD06;
    relevant_leads_06_ST = [1;1;1;1;1;0;0;0;0;0;0;0]; ST06 = relevant_leads_06_ST; ST = ST06;
    relevant_leads_06_GN = [1;1;1;1;1;1;0;0;0;0;0;0]; GN06 = relevant_leads_06_GN; GN = GN06;                       
    relevant_leads_06_GV = [1;1;0;0;0;0;0;0;0;0;0;0]; GV06 = relevant_leads_06_GV; GV = GV06; 
                            
    T_relevant_leads_06 = table(lead_nums,              ...
                                lead_names,             ...
                                MB,   ...
                                SD,   ...
                                ST,   ...
                                GN,   ...
                                GV    ...
                                );
    
    relevant_leads_04_MB = [1;1;1;0;0;0;0;1;0;0;0;0]; MB04 = relevant_leads_04_MB; MB = MB04;
    relevant_leads_04_SD = [1;1;0;0;0;0;0;1;0;0;0;0]; SD04 = relevant_leads_04_SD; SD = SD04; %[1;1;1;0;0;0;0;1;0;0;0;0]
    relevant_leads_04_ST = [1;1;1;0;0;0;0;1;0;0;0;0]; ST04 = relevant_leads_04_ST; ST = ST04;
    relevant_leads_04_GN = [1;1;1;0;0;0;0;1;0;0;0;0]; GN04 = relevant_leads_04_GN; GN = GN04;
    relevant_leads_04_GV = [1;1;0;0;0;0;0;0;0;0;0;0]; GV04 = relevant_leads_04_GV; GV = GV04;
    
    T_relevant_leads_04 = table(lead_nums,              ...
                                lead_names,             ...
                                MB,   ...
                                SD,   ...
                                ST,   ...
                                GN,   ...
                                GV    ...
                                );
                            
    relevant_leads_03_MB = [1;1;0;0;0;0;0;1;0;0;0;0]; MB03 = relevant_leads_03_MB; MB = MB03;
    relevant_leads_03_SD = [1;1;0;0;0;0;0;1;0;0;0;0]; SD03 = relevant_leads_03_SD; SD = SD03;
    relevant_leads_03_ST = [1;1;0;0;0;0;0;1;0;0;0;0]; ST03 = relevant_leads_03_ST; ST = ST03;
    relevant_leads_03_GN = [1;1;0;0;0;0;0;1;0;0;0;0]; GN03 = relevant_leads_03_GN; GN = GN03;                         
    relevant_leads_03_GV = [1;1;0;0;0;0;0;0;0;0;0;0]; GV03 = relevant_leads_03_GV; GV = GV03;                         
                            
    T_relevant_leads_03 = table(lead_nums,              ...
                                lead_names,             ...
                                MB,   ...
                                SD,   ...
                                ST,   ...
                                GN,   ...
                                GV    ...
                                );                            

    relevant_leads_02_MB = [1;1;0;0;0;0;0;0;0;0;0;0]; MB02 = relevant_leads_02_MB; MB = MB02;
    relevant_leads_02_SD = [1;1;0;0;0;0;0;0;0;0;0;0]; SD02 = relevant_leads_02_SD; SD = SD02;
    relevant_leads_02_ST = [1;1;0;0;0;0;0;0;0;0;0;0]; ST02 = relevant_leads_02_ST; ST = ST02;
    relevant_leads_02_GN = [1;1;0;0;0;0;0;0;0;0;0;0]; GN02 = relevant_leads_02_GN; GN = GN02;                           
    relevant_leads_02_GV = [1;1;0;0;0;0;0;0;0;0;0;0]; GV02 = relevant_leads_02_GV; GV = GV02;                           

    T_relevant_leads_02 = table(lead_nums,              ...
                                lead_names,             ...
                                MB,   ...
                                SD,   ...
                                ST,   ...
                                GN,   ...
                                GV    ...
                                );                                            
   
    relevant_leads_00_MB = [1;1;1;1;1;1;1;1;1;1;1;1]; MB00 = relevant_leads_00_MB; MB = MB00;
    relevant_leads_00_SD = [1;1;0;1;0;0;1;1;0;0;1;0]; SD00 = relevant_leads_00_SD; SD = SD00;
    relevant_leads_00_ST = [1;1;1;1;1;0;1;1;0;1;1;1]; ST00 = relevant_leads_00_ST; ST = ST00;
    relevant_leads_00_GN = [1;1;1;1;1;1;1;1;0;1;1;1]; GN00 = relevant_leads_00_GN; GN = GN00;                                 
    relevant_leads_00_GV = [1;1;0;0;0;0;0;0;0;0;1;0]; GV00 = relevant_leads_00_GV; GV = GV00;                                 
                            
    T_relevant_leads_00 = table(lead_nums,              ...
                                lead_names,             ...
                                MB,   ...
                                SD,   ...
                                ST,   ...
                                GN,   ...
                                GV    ...
                                );                                         
                 
    Ts_relevant_leads =  ...
    {                   ...
        [],
        T_relevant_leads_02,
        T_relevant_leads_03,
        T_relevant_leads_04,
        [],
        T_relevant_leads_06,
        [],
        [],
        [],
        [],
        [],
        T_relevant_leads_12
    };        
